Bug 1660799 - [DDF] Use of nonexistent command
Summary: [DDF] Use of nonexistent command
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: Documentation
Version: 8.0
Hardware: All
OS: All
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Steven J. Levine
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 09:35 UTC by Direct Docs Feedback
Modified: 2019-02-16 02:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 18:32:27 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Direct Docs Feedback 2018-12-19 09:35:28 UTC
Use of nonexistent command

The `pcs resource show` command has been removed. Bug 1656953 is ON_QA to remove it from the help output.

This doc should use `pcs resource config` instead of `pcs resource show`.

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8-beta/html/configuring_and_managing_high_availability_clusters/assembly_configuring-active-passive-http-server-in-a-cluster.adoc-configuring-and-managing-high-availability-clusters#annotations:dfb7b129-9d8e-4a33-906a-e0ced2eb10c1

Comment 1 Reid Wahl 2018-12-19 20:46:52 UTC
`pcs resource show` DOES exist in the current beta version (interestingly named "pcs-0.10.0.alpha.6-2.el8.x86_64"), and `pcs resource config` does not.

`pcs resource show` has been removed in pcs-0.10.1-1.el8.x86_64, which is currently in the HTB, and replaced by `pcs resource config`.


So the documentation is accurate for the beta. It will need to be updated for pcs-0.10.1-1.el8.x86_64.

Comment 2 Reid Wahl 2018-12-20 02:26:01 UTC
Also created BZ 1661059 - pcs resource show: Introduce backward compatibility with deprecation warnings, to discuss making `pcs resource show` work for a couple of releases to prevent breaking existing workflows.

Comment 3 Reid Wahl 2018-12-21 21:45:13 UTC
The same situation exists with `pcs stonith show` in "6.8. Displaying configured fence devices."

Comment 4 Steven J. Levine 2019-01-08 18:19:24 UTC
For this command I think the update is not "pcs resource config" but "pcs resource status" -- see BZ#1654280.

 - Split command `pcs resource [show]` into two new commands:
  - `pcs resource [status]` - same as `pcs resource [show]`
  - `pcs resource config` - same as `pcs resource [show] --full` or resource id specified instead of --full


Note You need to log in before you can comment on or make changes to this bug.